Bug 1138686 - JBoss ON Installation Guide should be updated to include preferred directory structure when installing JBoss ON components
Summary: JBoss ON Installation Guide should be updated to include preferred directory ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: JON 3.3.0
Assignee: Jared MORGAN
QA Contact: Mike Foley
Jared MORGAN
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-05 12:58 UTC by bkramer
Modified: 2018-12-06 17:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The JBoss ON Agent must be installed in a writable directory, however this was not described in the product docs. A new section in the Installation Guide describes the preferred directory structure, and is available from access.redhat.com/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html-single/Installation_Guide/index.html#before-agent-install
Clone Of:
Environment:
[Install Guide]
Last Closed: 2014-12-11 14:01:57 UTC
Type: Bug


Attachments (Terms of Use)

Description bkramer 2014-09-05 12:58:45 UTC
Description of problem:

The JBoss ON Agent should be installed in a writable directory. This information is provided in community product - see [1].


[1] https://docs.jboss.org/author/display/RHQ/RHQ+Agent+Installation#RHQAgentInstallation-InstallTheAgentInAWritableDirectory

Version-Release number of selected component (if applicable):
JBoss ON 3.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jared MORGAN 2014-10-02 23:19:31 UTC
I feel this should be an Easy Fix for the Installation Guide. Commit for 3.3 GA.

Comment 3 Jared MORGAN 2014-10-08 02:16:39 UTC
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Operations_Network/3.3/html-single/Installation_Guide/index.html#before-agent-install contains the new section (or search for BZ#1138686 in html-single)

svn commit -m "BZ#1138686 - Created a section to capture the guidance in https://docs.jboss.org/author/display/RHQ/RHQ+Agent+Installation#RHQAgentInstallation-InstallTheAgentInAWritableDirectory. I did a search for "RHQ_AGENT_HOME" to find the filename location of the environment variable. This must be verified to ensure the guidance I put in the second para is correct."
Sending        en-US/Agent.xml
Sending        en-US/Revision_History.xml
Sending        publican.cfg
Transmitting file data ...
Committed revision 97859.

Changes will be live later my Wednesday for the docs review.

Comment 4 Jared MORGAN 2014-10-09 03:06:25 UTC
Changes passed Docs Review 8th October. Sending to ON_QA


Note You need to log in before you can comment on or make changes to this bug.